AUTOMAKE_OPTIONS = foreign no-dependencies no-installinfo
INCLUDES = -I@top_srcdir@ @ROOT_INCLUDES@
LDFLAGS = @ROOT_LDFLAGS@

YODA_HEADER_FILES       = McmdEvent.h McmdRecord.h
yodaincdir              = $(includedir)/yoda/event/mcmd
yodainc_HEADERS         = ${YODA_HEADER_FILES}

YODA_SOURCES            = McmdEvent.cpp McmdRecord.cpp

BUILT_SOURCES           = McmdDict.cpp McmdDict.h

noinst_LTLIBRARIES      = libmcmdevent.la

libmcmdevent_la_SOURCES =    ${YODA_HEADER_FILES}   \
                             ${YODA_SOURCES}        \
                             ${BUILT_SOURCES}       \
                             LinkDef.h

McmdDict.cpp: ${YODA_HEADER_FILES} LinkDef.h
	@ROOTCINT@ -f $@ -c ${INCLUDES} $^

